* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
    padding: 0px;
    margin: 0px;
    /* background: #f6f6f6; */
    background: #f0f4f8;
    /* font-family: 'Lora' , serif; */
    font-family: "Amiri", serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    /* font-family: 'Lora' , serif; */
    font-family: "Amiri", serif;
    margin: 5px;
    direction: rtl;  /* Right-to-left direction for Arabic */
}

p {
    direction: rtl;  /* Right-to-left direction for Arabic */
}

a {
    text-decoration: none;
    color: inherit;
}

.clearfix::after {
    content: "";
    display: block;
    clear: both;
}

.btn {
    padding: 0.5rem 1rem;
    /* background: #006669; */
    background: #ff6600;
    color: white;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

.btn:hover {
    color: white !important;
    /* background: #005255; */
    background: #cc5200;
}

.btn-big {
    padding: 0.7rem 1.3rem;
    line-height: 1.3rem;
}

.text-input {
    padding: 0.7rem 1rem;
    display: block;
    width: 100%;
    border-radius: 5px;
    border: 1px solid #e0e0e0;
    outline: none;
    color: #444;
    line-height: 1.5rem;
    font-size: 1.2em;
    font-family: 'Lora' , serif;
}

body .logo .logo-image {
    /* font-size: 25px; */
    
    /* object-fit: fill; */
    width: 100%;
    height: auto;
    object-fit: cover;
    /* margin-top: 17px; */
    /* margin-right: 5px; */
}

/* NAVBAR */

header .fa-user {
    padding-right: 5px;
}

header .fa-chevron-down {
    padding-left: 5px;
    font-size: 0.8em;
}

header {
    /* background: #008489; */
    background: #004080;
    height: 55px;
    margin-top: -10px;
}

header * {
    /* color: white; */
    color: #ffffff;
}

/* header .logo {
    float: right;
    height: inherit;
    margin-right: 1em;
} */

header .logo-text { 
    /* color: white;
    font-size: 28px;
    margin-bottom: 20px;
    font-family: "Amiri", serif; */
    display: none;
}

/* header .logo-text span {
    color: white;
    font-size: 34px;
    margin-bottom: 20px;
    font-family: "Amiri", serif;
} */


header ul {
    float: right;
    text-align: center;
    font-size: 15px;
    margin-top: 14px;
    padding: 0px;
    list-style: none;
    display: flex;
    flex-direction: row-reverse;
}

header ul li {
    float: right;
    position: relative;
}

header ul li ul {
    position: absolute;
    top: 21.5px;
    right: 0px;
    display: none;
    width: 100%;
    z-index: 88888;
    transition: all 0.5s;
}

header ul li:hover ul {
    display: block;
}

header ul li ul li {
    width: 100%;
}

header ul li ul li a {
    /* padding: 10px; */
    background: white;
    color: #444;
    transition: all 0.5s;
}

header ul li ul li a:hover {
    background: #ff6600; /* Orange background on hover */
    color: #ffffff; /* White text on hover */
    
    /* background: #006669; */
    /* color: #FFA500; */
    transition: 0.5s;
}

header ul li ul li a.logout {
    color: red;
}

/* header ul li ul li a:hover {
    background-color: #d5d6d6;
} */

header ul li a {
    display: block;
    /* padding-top: 20px; */
    /* padding-bottom: 25px; */
    padding-left: 20px;
    padding-right: 20px;
    font-size: 1em;
    text-decoration: none;
    transition: all 0.5s;
}

header ul li a:hover {
    background: #ff6600; /* Orange background on hover */
    color: #ffffff; /* White text on hover */
    
    /* background: #006669; */
    /* color: #FFA500; */
    transition: 0.5s;
}

header .menu-toggle {
    display: none;
}

.page-wrapper {
    min-height: 100%;
}

.page-wrapper a:hover {
    color: #006669;
}

/* POST SLIDER */

.post-slider {
    position: relative;
}

.post-slider .slider-title {
    text-align: center;
    margin: 30px auto;
    font-family: "Amiri", serif;
}

.post-slider .next {
    position: absolute;
    /* top: 55%; */
    bottom: 165px;
    right: 30px;
    font-size: 2em;
    color: #006669;
    cursor: pointer;
}

.post-slider .prev {
    position: absolute;
    /* top: 55%; */
    bottom: 165px;
    left: 30px;
    font-size: 2em;
    color: #006669;
    cursor: pointer;
}

.post-slider .post-wrapper {
    width: 84%;
    height: 350px;
    margin: 0px auto;
    overflow: hidden;
    padding: 10px 0px 10px 0px;
}

.post-slider .post-wrapper .post {
    height: 330px;
    width: 300px;
    margin: 0px 0.1%;
    display: inline-block;
    background: white;
    border-radius: 5px;
    box-shadow: 1rem 1rem 1rem -1rem #a0a0a033;
}

.post-slider .post-wrapper .post .post-info {
    height: 130px;
    padding: 0px 5px;
    /* font-family: 'Lora', serif; */
    font-family: "Amiri", serif;
    text-align: right;
}

.post-slider .post-wrapper .post .post-info .fa-calendar {
    float: right;
    padding-left: 10px;
    padding-top: 3px;
}

.post-slider .post-wrapper .post .post-info .fa-user {
    float: right;
    padding-left: 10px;
    padding-top: 3px;
}

.post-slider .post-wrapper .post .slider-image {
    height: 200px;
    width: 100%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    object-fit: cover;
}

.blog-title {
  display: -webkit-box;         /* For WebKit browsers */
  display: -moz-box;            /* For Mozilla browsers */
  display: -ms-flexbox;         /* For Internet Explorer 10+ */
  display: -o-box;              /* For Opera browsers */
  display: box;                 /* Standard display for modern browsers */
  -webkit-box-orient: vertical; /* Specifies vertical orientation for WebKit */
  -moz-box-orient: vertical;    /* For Mozilla */
  -o-box-orient: vertical;      /* For Opera */
  -ms-box-orient: vertical;     /* For Internet Explorer */
  box-orient: vertical;         /* Standard orientation property */
  overflow: hidden;             /* Hides the overflowing content */
  text-overflow: ellipsis;      /* Adds the ellipsis (...) */
  -webkit-line-clamp: 1;        /* WebKit-specific line clamping */
  line-clamp: 1;                /* Future-proof standard (unsupported yet) */
  white-space: normal;          /* Normal white-space handling */
}


/* CONTENT */

.content {
    width: 90%;
    margin: 30px auto 30px;
}

.content .main-content {
    width: 70%;
    float: right;
    text-align: right;
    direction: rtl;
}

.content .main-content.arabic {
    width: 70%;
    float: right;
    text-align: right;
}

/* .content .main-content.main-page {
    width: 70%;
    float: right;
    text-align: right;
} */

.content .main-content.single {
    background: white;
    padding: 20px 50px;
    font-size: 1.1em;
    border-radius: 5px;
    direction: rtl;  /* Right-to-left direction for Arabic */
    text-align: right; /* Ensure text aligns to the right */
}

.content .main-content.single .post-title {
    text-align: center;
    margin-bottom: 40px;
}

.content .main-content.single .post-content ul {
        list-style-position: inside; /* Ensures the bullet points are inside the content box */
        padding-right: 0; /* Remove right padding */
        padding-left: 0;  /* Remove left padding */
        text-align: right; /* Align text to the right */
        direction: rtl; /* Sets the direction of the list to right-to-left */
}

.content .main-content.single .post-content ul li {
    margin-bottom: 10px; /* Adds space between list items */
}

.page-wrapper .content .main-content.contact-us .footer-section.content-form .text-input.content-input {
    text-align: right;
}

.page-wrapper .content .main-content.contact-us .footer-section.content-form input, .page-wrapper .content .main-content.contact-us .footer-section.content-form textarea{
    margin-bottom: 20px;
    transition: all 0.3s;
}

.page-wrapper .content .main-content.contact-us .footer-section.content-form input:focus, .page-wrapper .content .main-content.contact-us .footer-section.content-form textarea:focus{
    background: #eef0f0;
    transition: all 0.3s;
}

.post-title {
    text-align: center;
}

.center-title {
    text-align: center;
}

.center-link {
    text-align: center;
    color: #268ef7;
    /* border: 2px solid #268ef7; */
}

.center-link a {
    /* text-align: center;
    color: #268ef7; */
    border: 2px solid #268ff7d5;
    padding-left: 20px;
    padding-right: 20px;
    display: inline-block;  /* Adjusts the size of the border to wrap the content */
    transition: all 0.3s;
}

.center-link a:hover {
    /* text-align: center;
    color: #268ef7; */
    color: #4d4d4d;
    border: 2px solid #4d4d4d;
    transition: all 0.3s;
    /* padding-left: 20px;
    padding-right: 20px;
    display: inline-block;  Adjusts the size of the border to wrap the content */
}

.red-text {
    color: red;
}

.center-object{
    display: flex;
    justify-content: center;
    width: 100%;
    height: 2100px;
    /* Optional: You can also add padding or margin as needed */
}

.center-object iframe{
    width: 640px;
    height: 2100px;
}

.list-of-links li{
    padding-bottom: 15px;
}

.content .main-content .post {
    width: 95%;
    height: 270px;
    margin: 20px auto;
    border-radius: 5px;
    background: white;
    position: relative;
}

.content .popular .post {
    border-top: 1px solid #e0e0e0;
    margin-top: 10px;
    padding-top: 10px;
    text-align: right;
}

.content .popular .post img {
    height: 60px;
    width: 75px;
    float: right;
    margin-left: 10px;
}

.content .main-content .post .read-more {
    position: absolute;
    bottom: 10px;
    left: 10px;
    border: 1px solid #004080;

    /* border-color: #004080; */
    color: #004080; /* Dark blue text */

    background: transparent;
    border-radius: 0px;
    /* color: #006696 !important; */
    float: left;
    transition: 0.3s;
}

.content .main-content .post .read-more:hover {
    /* background: #006696;
    color: white !important; */

    background: #004080; /* Dark blue background on hover */
    color: #ffffff; /* White text on hover */

    transition: 0.3s;
}

.content .main-content .post .post-image {
    width: 40%;
    height: 100%;
    float: right;
    object-fit: cover;
}

.content .main-content .post .post-preview {
    width: 60%;
    padding: 10px; /* That is mean the padding from all side of 10px */
    float: right;
    text-align: right;
}

.content .main-content .post .post-preview .preview-text{
    direction: rtl;  /* Right-to-left direction for Arabic */
    text-align: right; /* Ensure text aligns to the right */
}

.content .main-content .recent-post-title {
    margin: 20px;
    text-align: right;
}

.content .sidebar {
    width: 30%;
    float: right;
}

.content .sidebar.single {
    padding: 0px 10px;
}

.content .sidebar .section {
    background: white;
    padding: 20px;
    border-radius: 5px;
    margin-bottom: 20px;
}

.content .sidebar .section .section-title{
    margin: 10px 0px 10px 0px;
    text-align: right;
}

.content .sidebar .section.search {
    margin-top: 95.5px;
    text-align: right;
}

.content .sidebar .section.search .text-input {
    text-align: right;
}

.content .sidebar .section.topics .section-title {
    text-align: right;
}

.content .sidebar .section.topics ul {
    margin: 0px;
    padding: 0px;
    list-style: none;
    text-align: right;
}

.content .sidebar .section.topics ul li a {
    display: block;
    padding: 15px 0px 15px 0px;
    border-bottom: 1px solid #e0e0e0;
    transition: all 0.3s;
}

.content .sidebar .section.topics ul li a:hover {
    padding-right: 10px;
    transition: all 0.3s;
}

.content .sidebar .section.topics ul li:last-child a {
    border: none;
}

.all-posts {
    font-size: 16px;
    color: #268ef7;
    transition: all 0.3s;
}

.all-posts:hover {
    font-size: 20px;
    color: #ff9191 !important;
    transition: all 0.3s;
}

/* PDF Section */

.pdf-preview-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px 0;
}

.pdf-thumbnail {
    /* width: 300px; */
    width: auto;
    height: 300px;
    background-color: #f1f1f1;
    border: 2px solid #ccc;
    overflow: hidden;
}

.pdf-thumbnail iframe {
    width: 100%;
    height: 100%;
}

.pdf-thumbnail .pdf-static-image {
    display: none;
}

.pdf-title {
    font-size: 18px;
    font-weight: bold;
    margin: 15px 0;
}

.pdf-buttons {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 20px 0px;
    /* padding-bottom: 15px; */
}

.pdf-buttons .btn {
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.pdf-buttons .btn:hover {
    background-color: #0056b3;
}

.pdf-buttons .btn i {
    margin-right: 5px;
}

/* FOOTER */

.footer {
    /* background: #303036; */
    background: #001f3f;
    color: #d3d3d3;
    height: 450px;
    position: relative;
}

.footer .footer-content {
    height: 400px;
    /* display: flex; */
    display: flex;
    /*  */
    color: #c0c0c0 !important; 
    /*  */
    flex-direction: row-reverse;
    text-align: right;
}

.footer .footer-content .footer-section {
    flex: 1;
    padding: 25px;
}

.footer .footer-content h1, .footer .footer-content h2 {
    color: white;
    text-align: right;
}

.footer .footer-content .about h1 span {
    color: #05f7ff;
}

.footer .footer-content .about .contact span {
    display: block;
    font-size: 1.1em;
    margin-bottom: 8px;
}

.footer .footer-content .about .contact .fa-phone {
    float: right;
    padding-left: 10px;
    padding-top: 1.5px;
}

.footer .footer-content .about .contact .fa-envelope {
    float: right;
    padding-left: 10px;
    padding-top: 3px;
}

.footer .footer-content .about .socials{
    text-align: center;
    padding-top: 10px;
}

.footer .footer-content .about .socials a {
    border: 1px solid gray;
    width: 45px;
    height: 41px;
    padding-top: 5px;
    margin-right: 5px;
    text-align: center;
    display: inline-block;
    font-size: 1.3em;
    border-radius: 5px;
    transition: all 0.3s;
}

.footer .footer-content .about .socials a:hover {
    border: 1px solid white;
    color: white;
    transition: all 0.3s;
}

.footer .footer-content .links ul a {
    display: block;
    /* list-style: none; */
    margin-bottom: 25px;
    margin-top: -22px;
    font-size: 1.2em;
    transition: all 0.3s; 
}

.footer .footer-content .links ul a:hover {
    color: white;
    margin-right: 15px;
    transition: all 0.3s;
}

.footer .footer-content .links ul {
    list-style-position: inside; /* Ensures the bullet points are inside the content box */
    padding-right: 0; /* Remove right padding */
    padding-left: 0;  /* Remove left padding */
    text-align: right; /* Align text to the right */
    direction: rtl; /* Sets the direction of the list to right-to-left */
}

.footer .footer-content .content-form .content-input {
    background: #272727;
    color: #bebdbd;
    margin-bottom: 10px;
    line-height: 1.5em;
    padding: 0.9rem 1.4rem;
    border: none;
    text-align: right;
    font-family: "Amiri", serif;
}

.footer .footer-content .content-form .content-input:focus {
    background: #1a1a1a;
}

.footer .footer-content .content-form .contact-btn {
    float: right;
    font-size: 1.1em;
    font-family: "Amiri", serif;
    
}

.footer .footer-bottom {
    /* background: #343a40; */
    background: #002b55;
    /* color: #686868; */
    color: #99aabb;
    width: 100%;
    height: 50px;
    text-align: center;
    position: absolute;
    bottom: 0px;
    left: 0px;
    padding-top: 15px;
}


/* MEDIA QUERIES */


@media only screen and (max-width: 1200px) {
    
    header ul {
        font-size: 12px;
    }

}


@media only screen and (max-width: 950px) {
    header {
        position: relative;
        z-index: 88888;
    }

    header {
        height: 66px !important;
    }

    header .logo-text {
        display: inline;
        float: right;
        color: white;
        font-size: 25px;
        margin-top: 12px;
        margin-right: 5px;
        font-family: "Amiri", serif;
    }

    header ul li ul li a {
        text-align: right;
        /* padding-left: 20px; */
        padding-right: 30px;
    }

    .main-content-wrapper {
        padding: 10px;
    }

    .content .main-content.single {
        padding: 10px 30px;
    }
    
    header ul {
        width: 100%;
        text-align: center;
        font-size: 20px;
        background: #0E94A0;
        max-height: 0px;
        overflow: hidden;
        display: flex;
        flex-direction: column;
    }

    .showing {
        max-height: 100em;
    }

    header ul li {
        width: 100%;
    }

    header ul li ul {
        position: static;
        display: block;
        width: 100%;
        background: inherit;
    }

    header ul li ul li a {
        padding-left: 50px;
        background: #0E94A0;
        color: white;
    }
    
    header ul li ul li a:hover {
        background: #006669;
    }

    header ul li ul li a.logout {
        color: red;
    }

    header .menu-toggle {
        display: block;
        /* position: absolute; */
        float: left;
        padding-left: 20px;
        padding-top: 20px;
        font-size: 1.9em;
    }

    header .logo {
        margin-left: 0.5em;
    }

    .footer .footer-content .links ul a {
        display: block;
        /* list-style: none; */
        margin-bottom: 40px;
        margin-top: -20px;
        font-size: 1.2em;
        transition: all 0.3s; 
    }
    
}

@media only screen and (max-width: 1000px) {
    
    header {
        height: 66px;
    }
    
    .content{
        width: 100%;
    }

    /* header .logo-text {
        display: block;
        font-size: 30px;
        margin-top: 10px;
        margin-right: 0px;
    } */

    .content .main-content .post {
        width: 100%;
    }

    .content .main-content {
        width: 100%;
        padding: 10px;
    }

    .main-content-wrapper {
        padding: 10px;
    }

    .content .sidebar {
        width: 100%;
        padding: 10px;
    }

    .content .sidebar .section.search {
        margin-top: 30px;
    }

    .content .sidebar.single .section.popular {
        margin-top: 20px;
    }

    .footer {
        height: auto;
    }

    .footer .footer-content {
        height: auto;
        flex-direction: column;
    }

    .footer .footer-content .content-form {
        padding-bottom: 90px;
    }

    .footer .footer-content .content-form .contact-btn {
        width: 100%;
    }

    .footer .footer-content .links ul a {
        display: block;
        /* list-style: none; */
        margin-bottom: 40px;
        margin-top: -20px;
        font-size: 1.2em;
        transition: all 0.3s; 
    }

}

@media only screen and (max-width: 600px) {

    header .logo-text {
        font-size: 18px;
        margin-top: 20px;
        margin-right: 5px;
    }

    header ul {
        font-size: 20px;
        text-align: center;
    }

    .content .main-content .post {
        height: auto;
    }

    .content .main-content.single {
        padding: 10px 20px;
    }

    .content .main-content .post .post-image {
        width: 100%;
    }

    .content .main-content .post .post-preview {
        width: 100%;
    }

    .content .main-content .post .read-more {
        position: static;
        display: block;
        width: 100%;
        text-align: center;
    }

    .center-link a {
        font-size: 12px;
    }
    
    .post-slider .next {
        right: 5px;
    }

    .post-slider .prev {
        left: 5px;
    }

    .pdf-buttons .btn {
        font-size: 10px;
    }

    .pdf-thumbnail iframe {
        display: none;
    }
    .pdf-thumbnail .pdf-static-image {
        display: block;
        width: 100%;
        height: 100%; /* Ensures responsive image */
    }

    .center-object {
        width: 100%;
        height: 2500px;
        /* Optional: You can also add padding or margin as needed */
    }
    
    .center-object iframe {
        width: 100%;
        height: 2500px;
    }

    .footer .footer-content .links ul a {
        display: block;
        /* list-style: none; */
        margin-bottom: 40px;
        margin-top: -20px;
        font-size: 1.2em;
        transition: all 0.3s; 
    }

}

@media only screen and (max-width: 330px) {

    /* header .logo-text {
        font-size: 18px;
        margin-top: 20px;
        margin-right: 5px;
    }

    header ul {
        font-size: 20px;
        text-align: center;
    } */

    /* .content .main-content .post {
        height: auto;
    }

    .content .main-content.single {
        padding: 10px 20px;
    } */

    /* .content .main-content .post .post-image {
        width: 100%;
    }

    .content .main-content .post .post-preview {
        width: 100%;
    }

    .content .main-content .post .read-more {
        position: static;
        display: block;
        width: 100%;
        text-align: center;
    } */
    
    /* .post-slider .next {
        right: 5px;
    }

    .post-slider .prev {
        left: 5px;
    } */

    .content .main-content .recent-post-title {
        /* margin: 20px;
        text-align: right; */
        font-size: 22px;
    }

    .pdf-buttons .btn {
        font-size: 8px;
    }

    .center-link a {
        font-size: 9px;
    }

    /* .pdf-thumbnail iframe {
        display: none;
    }
    .pdf-thumbnail .pdf-static-image {
        display: block;
        width: 100%;
        height: 100%;
    } */

    /* .footer .footer-content .links ul a {
        display: block;
        margin-bottom: 40px;
        margin-top: -20px;
        font-size: 1.2em;
        transition: all 0.3s; 
    } */

}







/* Main Content Styling */

.justifytext {
    text-align: justify;
}

.main-content-wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

.book-cards-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.book-card {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 8px;
    width: calc(33.33% - 20px);
    padding: 20px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.book-card img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.book-title {
    font-family: 'Amiri', serif;
    font-size: 1.5em;
    margin-bottom: 10px;
}

.author-name {
    color: #999;
    margin-bottom: 10px;
}

.book-description {
    font-size: 1em;
    margin-bottom: 15px;
}

.read-more {
    display: inline-block;
    padding: 10px 20px;
    background-color: #f44336;
    color: #fff;
    border-radius: 5px;
    text-decoration: none;
}

.read-more:hover {
    background-color: #d32f2f;
}

@media (max-width: 768px) {
    .book-card {
        width: calc(50% - 20px);
    }
}

@media (max-width: 480px) {
    .book-card {
        width: 100%;
    }
}